Subject: bug#22067: [bug-diffutils] bug#22067: bug#22067: bug#20062: bug#20062: [PATCH] diff: add support for --color

From: Giuseppe Scrivano <[email-masked]>
Date: Thu, 10 Mar 2016 22:02:38 +0100

Hi Jim,

Jim Meyering <[email-masked]> writes:

> Yes. It's in the queue, but first I'll make releases for grep and gzip.
> sed is also overdue. Any help with triaging things in the bug
> lists would be most welcome:
>
>   http://debbugs.gnu.org/cgi/pkgreport.cgi?package=diffutils

I went through the open bugs (I skipped the ones already on wishlist)
and this is what I've found:

* 18641 [diffutils] [PATCH] diff: Add --only=REGEX option to parse only files that match REGEX
RFC

* 19508 [diffutils] [PATCH] diff: compare major, minor numbers of block/character special files
* 19509 [diffutils] [PATCH] diff: treat fifos as identical
not blocking issue, patch needs review

* 17185  diff --help doesn't mention short forms of some options
minor issue, not blocking

* 18655 Regression in 3.3 documentation versus 3.2
answered, bug must be closed

* 18973 diffutils-3.3 test-mbrtowc3.sh fails on Solaris without European localization
not triaged, no access to solaris to try it

* 19489 FYI: I've updated copyright dates -- and gnulib
not a bug, must be closed

* 19825 unified output format, number of consecutive unaffected lines, and POSIX
answered, can be closed

* 19835 RFC: diff: skip initial columns before comparing
RFC with patch not reviewed

* 19984 [diffutils] Diff and symlinks
commented, can be closed

* 20250 [diffutils] diff by size
RFC for size only comparison (I would close as NOTFIX)

* 20279 [diffutils] With -r, option to avoid duplicate differences due to relative symbolic links
RFC

* 20794 [diffutils] ignore subdirectory with diff
Went unanswered, looks like a RFC for a weird use case

* 20929 [diffutils] problem with diff -B and incomplete lines
Fixed by:

commit d2fd9d4683ef60c259a3b426f71cef1b89ff383d
Author: Paul Eggert <[email-masked]>
Date:   Wed Sep 3 15:58:03 2014 -0700

    diff: fix bug with diff -B and incomplete lines

* 21034 [diffutils] [bug-diffutils] bug#21023: bug#21023: REQUEST: --no-dereference missing from manpage + please make a short option for it
RFC, should probably be closed and pointed out that --no-d will work as well

* 21579 [diffutils] diffutils 3.3 man page may need update

Fixed by:

commit 2cd4ff3a5ff52d89b6b992d158f389b757f4faf4
Author: Jim Meyering <[email-masked]>
Date:   Mon Aug 31 23:12:43 2015 -0700

    build: correct man-page generation rule

* 21665  [diffutils] Use of mmap for large files
already answered as WONTFIX, must be closed

* 21674 [diffutils] Fix for context-header
plain diff patch proposed, changes the format of the header

* 21715 [diffutils] feat req: an option to skip directory inode comparison
RFC

* 22108 [diffutils] diff wrapper script for very large files, low memory
duplicate of 21665

* 22245 [diffutils] [[email-masked]: Bug* 809007: diffutils: FTBFS: FAIL: test-update-copyright.sh]
I had that issue some time ago but it was fixed upstream.  I have not bisected

* 22507 [diffutils] diffutils releases
not a bug, working for the release :)

* 22529 [diffutils] cmp man page too sophisticated
not a bug

* 22535 [diffutils] REQ: regex dialect switching (for -F and -I)
RFC, I would close it as a WONTFIX

* 22816 [diffutils] cmp --verbose EOF message could be more verbose
RFC

* 16467 [diffutils] Diffutils 3.3 v. VMS (et al.)
could be fixed in gnulib, not a regression anyway

Regards,
Giuseppe